@setlocal enableextensions
@cd /d "%~dp0"
@echo off
setlocal EnableExtensions DisableDelayedExpansion
echo This batch file will create Symbolic Links between this folder and 4 core VAM Folders:
echo    1) VAM\Custom
echo    2) VAM\Saves\scene
echo    3) VAM\AddonPackagesFilePrefs
echo	  4) VAM\AddonPackages
echo Creating these symbolic links will allow the BrowserAssist plugin by JayJayWon to 
echo create files in these folders. This is primarily used to set the Favourite and Hide
echo VAM flags. BrowserAssist may also use these links to delete files, but only where
echo the user has explicitly requested that for a file.
echo It's not possible for a VAM plugin to do these functions without the Symbolic Links
echo being created.
echo/
echo WARNING: It should be noted that, in theory, creating these symbolic links may also  
echo allow a malicious plugin author to delete any or all files in these folders. By avoiding
echo the use and download of plugins from unreliable sources then this risk can be minimised.
echo/
if exist "%SystemRoot%\System32\choice.exe" goto UseChoice

setlocal EnableExtensions EnableDelayedExpansion

:UseChoice
%SystemRoot%\System32\choice.exe /C YN /N /M "Are you sure [Y/N]?"
if not errorlevel 1 goto UseChoice
if errorlevel 2 goto :EOF

:Continue
echo Making directory SymLinks
mkdir SymLinks
echo Removing SymLinks\Saves
rmdir SymLinks\Saves
echo Making directory SymLinks\Saves
mkdir SymLinks\Saves
echo Making directory ..\..\..\..\AddonPackagesFilePrefs
mkdir ..\..\..\..\AddonPackagesFilePrefs
echo Making Symbolic Link: SymLinks\AddonPackagesFilePrefs
mklink /J SymLinks\AddonPackagesFilePrefs ..\..\..\..\AddonPackagesFilePrefs
echo Making Symbolic Link: SymLinks\AddonPackages
mklink /J SymLinks\AddonPackages ..\..\..\..\AddonPackages
echo Making Symbolic Link: SymLinks\Saves\scene
mklink /J SymLinks\Saves\scene ..\..\..\..\Saves\scene
echo Making Symbolic Link: SymLinks\Saves\Person
mklink /J SymLinks\Saves\Person ..\..\..\..\Saves\Person
echo Making Symbolic Link: SymLinks\Custom
mklink /J SymLinks\Custom ..\..\..\..\Custom
echo Batch file execution is complete
pause
endlocal

