@setlocal enableextensions
@cd /d "%~dp0"
@echo off
setlocal EnableExtensions DisableDelayedExpansion
echo This batch file will remove the Symbolic Links between this folder and 4 core VAM Folders:
echo    1) VAM\Custom
echo    2) VAM\Saves
echo    3) VAM\AddonPackagesFilePrefs
echo    4) VAM\AddonPackages
echo Removing these symbolic links will prevent the BrowserAssist plugin by JayJayWon  
echo creating files in these folders. This is primarily used to set the Favourite and Hide
echo VAM flags and to delete resources.
echo/
if exist "%SystemRoot%\System32\choice.exe" goto UseChoice

setlocal EnableExtensions EnableDelayedExpansion

:UseChoice
%SystemRoot%\System32\choice.exe /C YN /N /M "Are you sure [Y/N]?"
if not errorlevel 1 goto UseChoice
if errorlevel 2 goto :EOF

:Continue
echo Removing SymLinks\AddonPackagesFilePrefs
rmdir SymLinks\AddonPackagesFilePrefs
echo Removing SymLinks\AddonPackages
rmdir SymLinks\AddonPackages
echo Removing SymLinks\Saves (1st attempt)
rmdir SymLinks\Saves
echo Removing SymLinks\Saves\scene
rmdir SymLinks\Saves\scene
echo Removing SymLinks\Saves\Person
rmdir SymLinks\Saves\Person
echo Removing SymLinks\Saves (2nd attempt)
rmdir SymLinks\Saves
echo Removing SymLinks\Custom
rmdir SymLinks\Custom
echo Batch file execution is complete. The SymLinks subfolder should now be empty. Please check and remove any remaning files or folders before running CreateBASymLinks.bat to recreate SymLinks
pause
endlocal

